Package org.eclipse.birt.report.model.api.simpleapi

# Interface IRow

All Superinterfaces:
  `IDesignElement`

public interface IRow extends IDesignElement
Represents a row in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`void`
`addHideRule(IHideRule rule)`
Add HideRule
`void`
`addHighlightRule(IHighlightRule rule)`
Adds high light rule.
`String`
`getBookmark()`
Returns the bookmark of the row.
`String`
`getHeight()`
Gets a handle to deal with the row's height.
`IHideRule[]`
`getHideRules()`
Returns array of hide rule expression
`IHighlightRule[]`
`getHighlightRules()`
Gets all high light rules.
`void`
`removeHideRule(IHideRule rule)`
Removes all hide rules that matches formatType.
`void`
`removeHideRules()`
Removes all hide rules
`void`
`removeHighlightRule(IHighlightRule rule)`
Removes high light rule.
`void`
`removeHighlightRules()`
Removes all high light rules.
`void`
`setBookmark(String value)`
Sets the bookmark of the row.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### getHeight

String getHeight()
Gets a handle to deal with the row's height.

Returns:
  the row's height.

### getBookmark

String getBookmark()
Returns the bookmark of the row. The bookmark value is evaluated as an expression.

Returns:
  the book mark as a string

### setBookmark

void setBookmark(String value) throws SemanticException
Sets the bookmark of the row. The bookmark value is evaluated as an expression. If you want the bookmark to be the string "bookmark", you need to use setBookmark("\"bookmark\""); If bookmark is a JavaScript variable, use setBookmark("bookmark");

Parameters:
  `value` - the bookmark expression
Throws:
  `SemanticException` - if the property is locked.

### removeHideRule

void removeHideRule(IHideRule rule) throws SemanticException
Removes all hide rules that matches formatType.

Parameters:
  `rule` -
Throws:
  `SemanticException`

### removeHideRules

void removeHideRules() throws SemanticException
Removes all hide rules

Throws:
  `SemanticException`

### getHideRules

IHideRule[] getHideRules()
Returns array of hide rule expression

Returns:
  array of hide rule expression

### addHideRule

void addHideRule(IHideRule rule) throws SemanticException
Add HideRule

Parameters:
  `rule` -
Throws:
  `SemanticException`

### getHighlightRules

IHighlightRule[] getHighlightRules()
Gets all high light rules.

Returns:
  all high light rules

### addHighlightRule

void addHighlightRule(IHighlightRule rule) throws SemanticException
Adds high light rule.

Parameters:
  `rule` -
Throws:
  `SemanticException`

### removeHighlightRules

void removeHighlightRules() throws SemanticException
Removes all high light rules.

Throws:
  `SemanticException`

### removeHighlightRule

void removeHighlightRule(IHighlightRule rule) throws SemanticException
Removes high light rule.

Parameters:
  `rule` -
Throws:
  `SemanticException`